Skip to content
Start here

Check source connectivity

client.r2.superSlurper.connectivityPrecheck.source(ConnectivityPrecheckSourceParamsparams, RequestOptionsoptions?): ConnectivityPrecheckSourceResponse { connectivityStatus }
PUT/accounts/{account_id}/slurper/source/connectivity-precheck

Check whether tokens are valid against the source bucket

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
ConnectivityPrecheckSourceParams = R2SlurperS3SourceSchema | R2SlurperGcsSourceSchema | R2SlurperR2SourceSchema
ConnectivityPrecheckSourceParamsBase
R2SlurperS3SourceSchema extends ConnectivityPrecheckSourceParamsBase
R2SlurperGcsSourceSchema extends ConnectivityPrecheckSourceParamsBase
R2SlurperR2SourceSchema extends ConnectivityPrecheckSourceParamsBase
ReturnsExpand Collapse
ConnectivityPrecheckSourceResponse { connectivityStatus }
connectivityStatus?: "success" | "error"
One of the following:
"success"
"error"

Check source connectivity

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.r2.superSlurper.connectivityPrecheck.source({
  account_id: 'account_id',
  bucket: 'bucket',
  secret: { accessKeyId: 'accessKeyId', secretAccessKey: 'secretAccessKey' },
  vendor: 's3',
});

console.log(response.connectivityStatus);
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "connectivityStatus": "success"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "connectivityStatus": "success"
  },
  "success": true
}